<!DOCTYPE html>
<html>

<head>
  <title>Promed Test</title>
</head>

<body>
  <h1>Promed Test Page</h1>
  <hr>
  <div id="processing">    
    <h2>Processing</h2>
    <div id="upload">
      <form id="upload-form">
        <h3>Upload the 3D model</h3>
        <input type="file" name="file" accept="stl, obj">      
        <h3>Upload the Orientation Data</h3>
        <input type="file" name="orient" accept="json">
        <h3>Upload the Simulation Data</h3>
        <input type="file" name="simulation" accept="json">
        <hr>
        <input id="upload-submit" type="button" onclick="submitFile();" value="Submit">      
        <hr>
      </form>
    </div>
    <div id="processing-result">
      <h3>Result</h3>
      <p></p>
    </div>
  </div>
  <hr>
  <div>
    <h2>ML integration</h2>
    <p>Send data to ML module</p>
    <form id="ml-send">
      <hr>
      <input id="ml-submit" type="button" onclick="submitML();" value="Submit">      
      <hr>
    </form>    
    <div id="ml-result">
      <h3>Result</h3>
      <p></p>
    </div>
  </div>
</body>

<script>
  console.log("Page ready");

  function submitFile(){
    console.log("Start request")
    // start loadingwheel here
    document.querySelector('#upload-submit').disabled = true;
    var ajax_request = new XMLHttpRequest();
	  ajax_request.open('POST', 'upload.php');
	  ajax_request.onreadystatechange = function() {
	    if (ajax_request.readyState == 4 && ajax_request.status == 200) {
	    	document.querySelector('#upload-submit').disabled = false;
	    	var response = ajax_request.response;
	    	document.querySelector('#processing-result p').innerHTML = response;
        document.getElementById('upload-form').reset();
      } else {
        // other cases here
	    }
      // end loadwheel here
    }
    let form = new FormData(document.getElementById('upload-form'));
    ajax_request.send(form);
    console.log(ajax_request);
  }

  function submitML() {
    console.log("Start request")
    document.querySelector('#upload-submit').disabled = true;
    var ajax_request = new XMLHttpRequest();
	  ajax_request.open('POST', 'ml.php');
	  ajax_request.onreadystatechange = function() {
	    if (ajax_request.readyState == 4 && ajax_request.status == 200) {
	    	document.querySelector('#upload-submit').disabled = false;
	    	var response = ajax_request.response;
	    	document.querySelector('#ml-result p').innerHTML = response;
        //document.getElementById('ml-send').reset();
      } else {
        // other cases here
	    }
      // end loadwheel here
    }
    
    let form = new FormData();
    form.append("kistlerfile", "fake base64-encoded data");
    form.append("username", "extuser1");
    form.append("password", "extpassword1");
    ajax_request.send(form);
    console.log(ajax_request);
  }

</script>

</html>



